Skip to content
Get started

List workspace members

GET/v1/account/workspaces/{workspaceId}/members

Lists the members of a workspace. Admin only.

Path ParametersExpand Collapse
workspaceId: string
Query ParametersExpand Collapse
cursor: optional string

Pagination cursor from previous response

limit: optional number

Maximum number of results to return

formatint32
ReturnsExpand Collapse
items: optional array of WorkspaceMember { actorId, profileId, addedAt, 2 more }
actorId: string

The actor row linking the profile to the workspace (the junction record).

profileId: string

The account profile that has access to the workspace.

addedAt: optional string

When the member was added to the workspace.

formatdate-time
email: optional string

Email address of the member’s profile.

name: optional string

Display name of the member’s profile.

List workspace members

curl https://api.cadenya.com/v1/account/workspaces/$WORKSPACE_ID/members \
    -H "Authorization: Bearer $CADENYA_API_KEY"
{
  "items": [
    {
      "actorId": "actorId",
      "profileId": "profileId",
      "addedAt": "2019-12-27T18:11:19.117Z",
      "email": "email",
      "name": "name"
    }
  ],
  "pagination": {
    "nextCursor": "nextCursor",
    "total": 0
  }
}
Returns Examples
{
  "items": [
    {
      "actorId": "actorId",
      "profileId": "profileId",
      "addedAt": "2019-12-27T18:11:19.117Z",
      "email": "email",
      "name": "name"
    }
  ],
  "pagination": {
    "nextCursor": "nextCursor",
    "total": 0
  }
}